Name:		xbanner
Summary:	A program for customizing the look of the standard XDM interface
Version:	1.31
Release:	19mdk
License:	GPL
Group:		Graphical desktop/Other
BuildRequires: XFree86-devel xpm-devel

Url:		http://www.hijinks.com/~spade/linux/XBanner/
Source:		ftp://physics.fullerton.edu/pub/Linux/XBanner/XBanner1.31.tar.bz2
Source1:	XBanner.mdkdefaults.bz2
Source2:	xdm_bg.xpm.bz2
Patch:		xbanner-1.3-rh.patch.bz2
Patch1:		XBanner-asnonroot.patch.bz2

Buildroot:	%{_tmppath}/xbanner-root

%description
The XBanner program allows the display of text, patterns and images
in the root window, so users can customize the XDM style login screen
and/or the normal X background.

Install XBanner if you'd like to change the look of your X login screen
and/or X background.

%prep
%setup -q -n XBanner1.31
%patch -p1 -b .patch
%patch1 -p0

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

for i in xbanner freetemp xb_check;do
install -c  --strip --mode "0755"  $i $RPM_BUILD_ROOT/usr/X11R6/bin/$i
done

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XBanner
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/xdm_bg.xpm

# fixup bogus permissions
chmod -R og+rX $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# I left random_effect out because the default "make install" rule doesn't
# install it
#
# (fg) Added %defattr - whois "I" above? :)
#/usr/X11R6/bin/random_effect

/usr/X11R6/bin/*
/usr/X11R6/include/X11/pixmaps/xdm_bg.xpm
/usr/X11R6/lib/X11/app-defaults/XBanner
%defattr(0644,root,root,755)
%doc ToDo QuickStart index.html docs
%doc samples docs/*

%changelog
* Thu Feb 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.31-19mdk
- 1.31

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.31-18mdk
- rebuild

* Mon Aug 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.31-17mdk
- url

* Sat Jan 19 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.31-16mdk
- remove c/c++ cflags hacks (David Walser)
- s/Copyright/License/
- fix non-readable permissions in an example (rpmlint)

* Sat Jul  7 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.31-15mdk
- fix rpmlint errors
- add %%doc section to %%files section

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.31-14mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 1.31-13mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Mon Mar 27 2000 DindinX <odin@mandrakesoft.com> 1.31-12mdk
- Fix config, group and other specs goodies

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com>
- Added %%defattr

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.31-10mdk
- Fix build as non root.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Tue Apr 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix bug with the xdm_bg reference in ad files.

* Wed Apr 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adtations.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 27 1999 Preston Brown <pbrown@redhat.com>
- removed shadow-penguin thingie, replaced with real shadowman (tm reasons)
- cleanups

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- cleaned up spec, built for 5.2 

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
